SelectableFetchingBuffer (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.session

## Interface SelectableFetchingBuffer<T extends SelectableElement>

- All Superinterfaces:
    FetchingBuffer<T>
  All Known Implementing Classes:
    AbstractSelectableDaoBuffer, ResultRowBuffer, TaxonomyRowBuffer

      public interface SelectableFetchingBuffer<T extends SelectableElement>
      extends FetchingBuffer<T>

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<T>` | `getSelected()`
    `int` | `sizeSelected()`
    `void` | `updateAllSelection(boolean selection)`
    `void` | `updateAllSelectionByIds(boolean selection, List<String> listIds)`
    `void` | `updateSelection(int rowId, boolean selection)`

    - ### Methods inherited from interface org.gcube.portlets.user.speciesdiscovery.server.session.FetchingBuffer

      `add, getList, getList, getList, size`

- - ### Method Detail

    - #### getSelected

          List<T> getSelected()
                                                        throws Exception

      Throws:
        `Exception`

    - #### updateSelection

          void updateSelection(int rowId,
                             boolean selection)
                               throws Exception

      Throws:
        `Exception`

    - #### updateAllSelection

          void updateAllSelection(boolean selection)
                                  throws Exception

      Throws:
        `Exception`

    - #### updateAllSelectionByIds

          void updateAllSelectionByIds(boolean selection,
                                     List<String> listIds)
                                       throws Exception

      Throws:
        `Exception`

    - #### sizeSelected

          int sizeSelected()
                           throws Exception

      Throws:
        `Exception`

Copyright © 2013. All Rights Reserved.